IRPCApplicationTaskQueue.GetNewBroadcastMessages

View as Markdown

Server integration API / specialized write session

Gets the broadcast messages of a queue that are newer than the given message ID.

ServiceApplication task queue MFiles.IRPCApplicationTaskQueue
gRPC method/MFiles.IRPCApplicationTaskQueue/GetNewBroadcastMessages
HTTP (mf-http-grpc)POST /grpc/v1/get-new-broadcast-messages
RequestGetNewBroadcastMessagesRequest
ResponseGetNewBroadcastMessagesResponse
Book and levelServer integration API, specialized
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetNewBroadcastMessagesRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
queue_idstringThe ID of the queue.
latest_broadcast_idstringThe ID of the newest message already processed, as a decimal string.

Response: GetNewBroadcastMessagesResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
broadcast_messages[]repeated ApplicationBroadcastMessageThe newer messages.
broadcast_messages[].queue_idstringID of the task queue where this message belongs to.
broadcast_messages[].broadcast_message_idstringID of this broadcast message.
broadcast_messages[].broadcast_typestringDefines the type of this message.
broadcast_messages[].broadcast_databytesAny type specific message payload data.